View Issue Details

IDProjectCategoryView StatusLast Update
0005443ScribusImport / Exportpublic2016-05-15 22:53
Reporterhhielscher Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
Platformi586OSMandriva LinuxOS VersionCooker
Product Version1.3.4cvs 
Target VersionFixed in Version 
Summary0005443: gradient and blur not imported
DescriptionThere seems to be no way to get the drawing as vector from inkscape 0.45 to scribus. Gradient and Blur is missing with svg or eps. I could not try ODG, inkscape crashed at export.
Tags#tobeclosed, SVG
Patch

Relationships

parent of 0005445 closedjghali SVG import : support for symbol element 
has duplicate 0007182 closedjghali Importing SVG from Inkscape loses some features 
has duplicate 0013972 closedjghali SVG blurred image made in Inkscape doesn't import blurred effect 
has duplicate 0014258 closedjghali SVG file not imported correctly 
related to 0002931 acknowledged Metabug: SVG 

Activities

2007-03-12 17:41

 

Grafik_Berufe_bearb01.svg (123,981 bytes)

2007-03-12 17:41

 

Grafik_Berufe_bearb01_plain.eps (206,705 bytes)

2007-03-12 17:42

 

Grafik_Berufe_bearb01_plain.svg (105,603 bytes)

jghali

2007-03-12 17:51

administrator   ~0015532

svg filters are not supported by scribus

jghali

2007-03-12 23:55

administrator   ~0015534

Last edited: 2007-03-12 23:56

i've added support for "symbol" element and fixed "use" element parsing. Your svg files will look more like they should now. Here are features still missing:
- "repeat" and "reflect" spread methods for gradient
- svg filters : those will need quite some work as pdf do no support such effects

jghali

2007-12-19 10:28

administrator   ~0018355

And btw, gradient and blur are simply not exported in the eps

Kunda

2016-05-14 03:21

manager   ~0041010

Last edited: 2016-05-14 03:24

View 2 revisions

Importing Grafik_Berufe_bearb01.svg shows the following in console:
"unsupported SVG feature: stroke-miterlimit"

Importing Grafik_Berufe_bearb01_plain.svg shows the following in console:
"unsupported SVG feature: overflow"
"unsupported SVG feature: stroke-miterlimit"


Kunda

2016-05-14 03:27

manager   ~0041011

jghali, is it ok to close this ticket?

Issue History

Date Modified Username Field Change
2007-03-12 17:41 hhielscher New Issue
2007-03-12 17:41 hhielscher File Added: Grafik_Berufe_bearb01.svg
2007-03-12 17:41 hhielscher File Added: Grafik_Berufe_bearb01_plain.eps
2007-03-12 17:42 hhielscher File Added: Grafik_Berufe_bearb01_plain.svg
2007-03-12 17:51 jghali Note Added: 0015532
2007-03-12 23:55 jghali Note Added: 0015534
2007-03-12 23:56 jghali Note Edited: 0015534
2007-03-13 00:02 jghali Relationship added parent of 0005445
2007-03-13 08:18 jghali Relationship added related to 0002931
2007-12-11 09:56 subik Relationship added child of 0005693
2007-12-19 10:28 jghali Note Added: 0018355
2007-12-20 22:51 cbradney Target Version => 1.3.5svn
2007-12-26 17:02 cbradney Target Version 1.3.5svn => 1.3.5
2007-12-29 23:55 cbradney Target Version 1.3.5 =>
2008-03-19 09:49 jghali Relationship deleted child of 0005693
2008-07-30 19:49 jghali Relationship added has duplicate 0007182
2016-04-21 12:47 jghali Relationship added has duplicate 0013972
2016-05-14 03:21 Kunda Note Added: 0041010
2016-05-14 03:24 Kunda Note Edited: 0041010 View Revisions
2016-05-14 03:26 Kunda Tag Attached: #tobeclosed
2016-05-14 03:26 Kunda Tag Attached: SVG
2016-05-14 03:27 Kunda Note Added: 0041011
2016-05-14 03:27 Kunda Status new => resolved
2016-05-14 03:27 Kunda Resolution open => won't fix
2016-05-14 03:27 Kunda Assigned To => Kunda
2016-05-14 03:44 Kunda Assigned To Kunda =>
2016-05-15 22:53 cbradney Status resolved => closed
2016-08-11 08:47 jghali Relationship added has duplicate 0014258